Package groovy.swing.impl

# Class DefaultAction

java.lang.Object
javax.swing.AbstractAction
groovy.swing.impl.DefaultAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

public class DefaultAction extends AbstractAction
An `Action` implementation that delegates execution to a Groovy closure.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields inherited from interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent event)`
  Invokes the configured closure in response to the action event.
  `Closure`
  `getClosure()`
  Returns the closure invoked when the action fires.
  `void`
  `setClosure(Closure closure)`
  Sets the closure invoked when the action fires.

  ### Methods inherited from class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface javax.swing.Action

  `accept`

- ## Constructor Details

  - ### DefaultAction

    public DefaultAction()

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionEvent event)
    Invokes the configured closure in response to the action event.
    Parameters:
      `event` - the Swing action event

  - ### getClosure

    public Closure getClosure()
    Returns the closure invoked when the action fires.
    Returns:
      the action closure, or `null`

  - ### setClosure

    public void setClosure(Closure closure)
    Sets the closure invoked when the action fires.
    Parameters:
      `closure` - the action closure